#!/usr/bin/env python

#    This file is part of VASM.
#
#    VASM is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License v3 as published by
#    the Free Software Foundation.
#
#    VASM is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with VASM.  If not, see <http://www.gnu.org/licenses/>.

__author__ = "Moises Henriquez"
__author_email__ = "moc.liamg@xnl.E0M"[::-1]

# vasm setup script script.
from setuptools import setup
import compileall

def byte_compile_code():
    return compileall.compile_dir('src/')

byte_compile_code()
version = '3.0a1'
long_description = """\
Vectorlinux's Administration & System Menu (Alpha release). 
System configuration tool for both TUI and GUI. Complete rewrite of 
vasm with goals such as to provide greater modularity for 
maintainability, better support for localization and 
internationalization, and tighter integration with the distro 
installer and with the system its self. The prior vasm has been 
renamed and moved to vasm-legacy and will remain installed on the 
system for your convenience."""

setup(
    name = 'vasm',
    version = version,
    description = "VetorLinux's Administration & System Menu",
    classifiers = [
        'Development Status :: 5 - Alpha',
        'Intended Audience :: End Users, System Administrators',
        'License :: GNU GPL Version 3',
        'Topic :: System Administration',
        'Programming Language :: Python :: 2.7',
        ],
    keywords='vasm',
    author='Moises Henriquez',
    author_email = __author_email__,
    url = 'http://bitbucket.org/m0e_lnx/vasm',
    license = 'GNU GPL v3',
    packages = ['vasm', 'vasm.backend', 'vasm.ui', 
                'vasm.ui.gtk2', 'vasm.ui.tui',
                'vasm.ui.gtk2.modules', 'vasm.ui.gtk2.support',
                'vasm.ui.tui.modules', 'vasm.ui.tui.support'],
    package_dir={'vasm' : 'src/vasm/'},
    data_files=[
        ('/usr/share/pixmaps',['src/vasm/data/vasm.png']),
        ('/usr/share/applications', ['src/vasm/data/vasm.desktop',
            'src/vasm/data/vasm-tui.desktop'],
        ),
        ('/usr/share/vasm', ['src/vasm/data/LICENSE',
            'src/vasm/data/bootmenu.png',
            'src/vasm/data/bootmode.png',
            'src/vasm/data/category_graphical_environment.png',
            'src/vasm/data/category_hardware.png',
            'src/vasm/data/category_networking.png',
            'src/vasm/data/category_personal.png',
            'src/vasm/data/category_startup_options.png',
            'src/vasm/data/category_system.png',
            'src/vasm/data/category_unknown.png',
            'src/vasm/data/datetime.png',
            'src/vasm/data/gdmconfig.png',
            'src/vasm/data/gparted.svg',
            'src/vasm/data/gui_desktop.png',
            'src/vasm/data/harddisk.png',
            'src/vasm/data/hardinfo.png',
            'src/vasm/data/kdmconfig.png',
            'src/vasm/data/login_gdm.png',
            'src/vasm/data/login_kdm.png',
            'src/vasm/data/login_unknown.png',
            'src/vasm/data/login_xdm.png',
            'src/vasm/data/package-utilities.png',
            'src/vasm/data/servicehelp.txt',
            'src/vasm/data/setup_logging.sh',
            'src/vasm/data/terminal.png',
            'src/vasm/data/users.png',
            'src/vasm/data/vasm.png',
            'src/vasm/data/vasmcc-logo.png',
            'src/vasm/data/vasmcc-logo_trimmed.png',
            'src/vasm/data/vectorlinux-logo.png',
            'src/vasm/data/xfce.png',
            'src/vasm/data/xscreensaver.xpm',
            'src/vasm/data/gksu.png'])],
    requires = ['psutil','urwid','parted','pexpect','shutil'],
    scripts = ['src/vasm/vasm'])